## net.sf.saxon.expr
Interface ItemMappingFunction

All Known Implementing Classes:
  AtomicSequenceConverter.AtomicSequenceMappingFunction, ForExpression.MappingAction

    public interface ItemMappingFunction

ItemMappingFunction is an interface that must be satisfied by an object passed to a ItemMappingIterator. It represents an object which, given an Item, can return either another Item, or null.

Method Summary
`Item` `mapItem(Item item)` Map one item to another item.

Method Detail

### mapItem

    Item mapItem(Item item)
                 throws XPathException

  Map one item to another item.

  Parameters:
    `item` - The input item to be mapped.
  Returns:
    either the output item, or null.
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.